Page MenuHomeFreeBSD

www/firefox: update to 63.0
ClosedPublic

Authored by jbeich on Jul 19 2018, 9:39 PM.

Details

Test Plan

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 18575
Build 18270: arc lint + arc unit

Event Timeline

jbeich created this revision.Jul 19 2018, 9:39 PM
jbeich updated this revision to Diff 45654.Jul 21 2018, 3:10 PM
jbeich edited the test plan for this revision. (Show Details)

Rebase

jbeich set the repository for this revision to rP FreeBSD ports repository.Aug 3 2018, 11:09 PM
mat removed a reviewer: portmgr.Aug 6 2018, 9:18 AM
mat added a subscriber: mat.

remove portmgr, not required.

jbeich updated this revision to Diff 46606.Aug 12 2018, 6:39 PM

Unbreak after previous change:

error: the listed checksum of `third_party/rust/lmdb-sys/lmdb/libraries/liblmdb/mdb.c` has changed:
expected: f7840eb8efaba2b55f7980dcecf9c0109b33db6261c07ae6dc1fea4f40789db4
actual:   027ab0d674b98bddc02c5cd229a6c762d35fe87c58c45432b5e1282cc7f59c43

directory sources are not intended to be edited, if modifications are required then it is recommended that [replace] is used with a forked copy of the source
gmake[4]: *** [config/rules.mk:1008: force-cargo-library-build] Error 101
jbeich updated this revision to Diff 47366.Aug 28 2018, 12:17 AM
  • Update to Beta 1 (Developer Edition)
jbeich updated this revision to Diff 47511.Aug 31 2018, 12:39 AM
  • Update to Beta 2 (Developer Edition)
jbeich updated this revision to Diff 47685.Sep 5 2018, 5:16 AM
jbeich updated this revision to Diff 47784.Sep 7 2018, 2:53 AM
jbeich updated this revision to Diff 47882.Sep 10 2018, 5:23 PM
jbeich updated this revision to Diff 48146.Sep 18 2018, 12:57 AM
jbeich updated this revision to Diff 48344.Sep 22 2018, 6:33 AM
jbeich updated this revision to Diff 48572.Sep 29 2018, 10:13 AM
jbeich updated this revision to Diff 48643.Oct 2 2018, 7:20 AM
jbeich updated this revision to Diff 48841.Oct 6 2018, 11:37 PM
mat removed a reviewer: portmgr.Oct 8 2018, 3:13 PM
jbeich added a comment.Oct 8 2018, 3:30 PM

@mat, portmgr ending up in reviewers is bug in the Herald rule often hidden behind rP422906. Let me illustrate.

jbeich set the repository for this revision to rP FreeBSD ports repository.Oct 8 2018, 3:30 PM
This revision was not accepted when it landed; it landed in state Needs Review.Oct 16 2018, 12:01 AM
Closed by commit rP482197: www/firefox: update to 63.0 (authored by jbeich). · Explain Why
This revision was automatically updated to reflect the committed changes.